from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, File, String

Cg_Load_2_V0_1_0 = CommandToolBuilder(tool="cg_load.2", base_command=["cg-load.2"], inputs=[ToolInput(tag="in_map", input_type=Boolean(optional=True), prefix="--map", doc=InputDocumentation(doc="MAP input directory path containing files")), ToolInput(tag="in_output", input_type=File(optional=True), prefix="--output", doc=InputDocumentation(doc="output database path")), ToolInput(tag="in_asm", input_type=Boolean(optional=True), prefix="--asm", doc=InputDocumentation(doc="ASM input directory path containing files")), ToolInput(tag="in_load_extra_evidence", input_type=Boolean(optional=True), prefix="--load-extra-evidence", doc=InputDocumentation(doc="load extra evidence files")), ToolInput(tag="in_schema", input_type=Boolean(optional=True), prefix="--schema", doc=InputDocumentation(doc="database schema file name")), ToolInput(tag="in_refseq_config", input_type=Boolean(optional=True), prefix="--refseq-config", doc=InputDocumentation(doc="path to file with reference-to-accession")), ToolInput(tag="in_ref_file", input_type=Boolean(optional=True), prefix="--ref-file", doc=InputDocumentation(doc="path to fasta file with references")), ToolInput(tag="in_force", input_type=Boolean(optional=True), prefix="--force", doc=InputDocumentation(doc="force output overwrite")), ToolInput(tag="in_write_reference", input_type=Boolean(optional=True), prefix="--write-reference", doc=InputDocumentation(doc="force reference sequence write")), ToolInput(tag="in_write_read", input_type=Boolean(optional=True), prefix="--write-read", doc=InputDocumentation(doc="force reads write")), ToolInput(tag="in_qual_quant", input_type=Boolean(optional=True), prefix="--qual-quant", doc=InputDocumentation(doc="quality scores quantization level, can be\nnumber (0: none, 1: 2bit, 2: 1bit), or\nstring like '1:10,10:20,20:30,30:-' (which\nis equivalent to 1)")), ToolInput(tag="in_no_spot_group", input_type=Boolean(optional=True), prefix="--no-spotgroup", doc=InputDocumentation(doc="do not write source file key to SPOT_GROUP")), ToolInput(tag="in_no_secondary", input_type=Boolean(optional=True), prefix="--no-secondary", doc=InputDocumentation(doc="preserve only one mapping per half-DNB\nbased on weight")), ToolInput(tag="in_single_mate", input_type=Boolean(optional=True), prefix="--single-mate", doc=InputDocumentation(doc="if secondary mates have duplicates preserve\nonly one in each pair based on weight")), ToolInput(tag="in_cluster_size", input_type=Boolean(optional=True), prefix="--cluster-size", doc=InputDocumentation(doc="defines cluster window on the reference,\nrecords only placement from given cluster\nsize; default is zero which means ignore")), ToolInput(tag="in_input_no_threads", input_type=Boolean(optional=True), prefix="--input-no-threads", doc=InputDocumentation(doc="disable input files threaded caching")), ToolInput(tag="in_library", input_type=File(optional=True), prefix="--library", doc=InputDocumentation(doc="copy extra file/directory into output")), ToolInput(tag="in_xml_log", input_type=File(optional=True), prefix="--xml-log", doc=InputDocumentation(doc="produce XML-formatted log file")), ToolInput(tag="in_verbose", input_type=Boolean(optional=True), prefix="--verbose", doc=InputDocumentation(doc="Increase the verbosity of the program\nstatus messages. Use multiple times for more\nverbosity. Negates quiet.")), ToolInput(tag="in_quiet", input_type=Boolean(optional=True), prefix="--quiet", doc=InputDocumentation(doc="Turn off all status messages for the\nprogram. Negated by verbose.")), ToolInput(tag="in_option_file", input_type=File(optional=True), prefix="--option-file", doc=InputDocumentation(doc="Read more options and parameters from the")), ToolInput(tag="in_list", input_type=String(), position=0, doc=InputDocumentation(doc="-i|--refseq-path                 path to directory with reference ")), ToolInput(tag="in_column", input_type=String(), position=0, doc=InputDocumentation(doc="-q|--min-mapq                    filter secondary mappings by minimum weight ")), ToolInput(tag="in_quit_dot", input_type=String(), position=0, doc=InputDocumentation(doc="-L|--log-level <level>           Logging level as number or enum string. One ")), ToolInput(tag="in_file_dot", input_type=File(), position=0, doc=InputDocumentation(doc="cg-load.2 : 2.10.9"))], outputs=[ToolOutput(tag="out_output", output_type=File(optional=True), selector=InputSelector(input_to_select="in_output", type_hint=File()), doc=OutputDocumentation(doc="output database path")), ToolOutput(tag="out_library", output_type=File(optional=True), selector=InputSelector(input_to_select="in_library", type_hint=File()), doc=OutputDocumentation(doc="copy extra file/directory into output"))], container="quay.io/biocontainers/sra-tools:2.10.9--pl526haddd2b5_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Cg_Load_2_V0_1_0().translate("wdl")

